<?php
if(!class_exists("EC_ManageEvents")) :
class EC_ManageEvents {
  var $id,
      $event,
      $month,
      $year,
      $ecf_deflinkout,
      $calendar,
      $db,
      $ecformEvent,
      $add,
      $fmode;

  function EC_ManageEvents() {

    // Loading Widget Caldendar
    class_exists('EC_WCalendar') || require(EVENTSCALENDARCLASSPATH.'/ec_widget-calendar.class.php');
    $this->calendar = new EC_WCalendar();

    // Loading the form class
    class_exists('ec_form') || require(EVENTSCALENDARCLASSPATH.'/ec_form.class.php');
    $this->ecformEvent = new ec_form(EVENTSCALENDARIMAGESURL,'false',true);

    // Loading data base class
    $this->db = new EC_DB();

    // Loading the events options
    wpec_get_option($this,'wpecOptionsEv');
    //echo var_dump($this->ecopt_ev_ext);
    $this->ecopt_ev_ext   = isset($this->ecopt_ev_ext);    // Allow extend tab
    $this->ecopt_ev_types = isset($this->ecopt_ev_types);  // Allow event types
    $this->ecopt_ev_phase = isset($this->ecopt_ev_phase);  // Allow event phase
    $this->ecopt_ev_part  = isset($this->ecopt_ev_part);   // Allow event participation
    $this->ecopt_ev_post  = isset($this->ecopt_ev_post);   // Allow post cration
    $this->ecopt_ev_recc  = isset($this->ecopt_ev_recc);   // Allow event recurrence
    $this->ecopt_ev_exrec = (isset($this->ecopt_ev_exrec) && $this->ecopt_ev_recc);  // Allow exceptions recurrence 
    $this->ecopt_ev_miltime = isset($this->ecopt_ev_miltime);  // Allow military time format
    // Default custom fields labels
    $this->custFieldName[0] = _c('Field #1','events-calendar');
    $this->custFieldName[1] = _c('Field #2','events-calendar');
    $this->custFieldName[2] = _c('Field #3','events-calendar');
    $this->custFieldName[3] = _c('Field #4','events-calendar');
    $this->custFieldName[4] = _c('Field #5','events-calendar');
    $this->custFieldName[5] = _c('Field #6','events-calendar');
  }
  /**
  * Load the types list if allowed, otherwise types are not at all managed
  * Notes that if a type is stored in a record we keep it
  * If no types allowed then the custom fields names are not customizable
  * @return   $this->typesListBrut array   Brut List of types
  * @return   $this->typesListSelect array   List of types dedicaced to the select
  * @return   $this->custFieldName array   List of cust fields names (labels)
  */
  function getTypesList(){
    list($chkYes, $chkNo) = explode(':', _c('Yes:No','events-calendar'));
    $this->typesListSelect = '';
    wpec_get_option($this,'wpecOptionsTypes');
    //if(!$this->typesListBrut = $this->mb_unserialize(stripslashes($this->ecopt_sertypes))) return false;
    $this->typesListBrut = mb_unserialize(stripslashes($this->ecopt_sertypes));
    if($this->typesListBrut == false) return;
    $c = count($this->typesListBrut);
    for($i=0;$i<$c;$i++) {
      $evType = $this->typesListBrut[$i];
      if($evType['enb'] == $chkYes) {
        $this->typesListSelect[$evType['tid']] = $evType['des'];
        //echo $evType['cus'];
        if($evType['def'] == $chkYes && !$this->id) {
          $this->eventType = $evType['tid'];
          $custfieldnames = explode(';',$evType['cus']);
          $this->custFieldName = $custfieldnames + $this->custFieldName;
        }
        if($this->id && $this->event->eventType == $evType['tid']) {
           $custfieldnames = explode(';',$evType['cus']);
           $this->custFieldName = $custfieldnames + $this->custFieldName;
        }
      }
    }
    //echo stripslashes($this->ecopt_sertypes);
  }
  /**
    * Add or update a Event Form
    */
  function ec_manEventsForm($id, $month = '', $year = '') {
    $this->id = $id;
    $this->add = ($id==''); $this->fmode = ($this->add)? 'add':'edit';
    if($id) {
      $this->event = $this->db->getEvent($id);
      $this->event = $this->event[0];
      //list($year, $month, $day) = explode('-', $this->event->eventStartDate);
      $this->reccStatus = $this->event->eventRecStatus;
      $reccProces = $this->event->eventRecProces;
      switch ($this->reccStatus) {
        case 0:	break;
        case 1: list($this->recDate,$this->recDateDur) = explode('|',$reccProces);	break;
        case 2: list($this->recXDay,$this->recXDayDur) = explode('|',$reccProces);	break;
        case 3: $this->recWDay = $this->get_multicheckposted(unserialize($reccProces)); break;
        case 4: $this->recNWeek = $this->get_multicheckposted(unserialize($reccProces)); break;
        case 6: $rectmp = explode('|', $reccProces); $this->recXDay = $rectmp[0]; $this->recXDayDur = $rectmp[1];$this->recNWeek = $this->get_multicheckposted(unserialize($rectmp[2])); break;
        case 7: $rectmp = explode('|', $reccProces); $this->recWDay = $this->get_multicheckposted(unserialize($rectmp[0])); $this->recNWeek = $this->get_multicheckposted(unserialize($rectmp[1])); break;
        case 8: break;
        default: $this->reccStatus = null; break;
      }
      // If allready reccurence so we gonna show it, even the option is not set
      $this->ecopt_ev_recc = ($this->ecopt_ev_recc || !!$this->event->eventRecProces);
      // If allready exceptions so we gonna show them, even the option is not set
      $this->ecopt_ev_exrec = ($this->ecopt_ev_exrec || !!$this->event->eventExceptions);

    } else list($year, $month, $day)= array(date('Y'),date('m'),'');
    $strItems = array(
      'label' => array('Event','Extend','Recurrence','Exceptions'),
      'local' => array(substr(_c('Event','events-calendar'),0,10),
                       substr(_c('Extend','events-calendar'),0,10),
                       substr(_c('Recurrence','events-calendar'),0,10),
                       substr(_c('Exceptions','events-calendar'),0,10)));
	  // Loading the layout of the module
    function_exists('ecly_manform_head_menu') || require(EVENTSCALENDARCLASSPATH.'/ec_manage-event.layout.php');
    echo $this->InsertHeadMenu((($this->add) ? EC_MANFORM_ADD_TITLE : EC_MANFORM_UPD_TITLE),$strItems);
    echo $this->ecformEvent->ecform_start("?page=events-calendar-main","EC_".$this->fmode."EventForm","post",true);
    $this->ecformEvent->tabindex('1');
    echo $this->InsertContent($strItems);
    $this->ecformEvent->tabindex('stop');
    $this->ecformEvent->customResetFormAction($this->ecly_custResetAction);
    echo $this->ecformEvent->display('foot');
    echo $this->ecformEvent->JSHeader($this->custJsHeader);
    echo $this->ecformEvent->js_validate_code();
    echo ecly_manform_foot_menu($this->fmode, $year, $month);
    echo ecly_manform_js_sm_script($this->id);
    $this->calendar->displayWidget($year,$month,true);
  }
  /**
  * Insert Content Form Box
  */
  function InsertContent($strItems) {
    $c = count($strItems["label"]);
    for($i=0; $i<$c; $i++) {
      if(
        (!$this->ecopt_ev_ext   && $strItems["label"][$i] == 'Extend') ||
        (!$this->ecopt_ev_recc  && $strItems["label"][$i] == 'Recurrence') ||
        (!$this->ecopt_ev_exrec && $strItems["label"][$i] == 'Exceptions')
        ) continue;
      $strFunc = "funcinsMenu_".$strItems["label"][$i];
      $output .= ' <div id="menu_item'.$i.'" class="'.(($i == 0) ? 'on':'off').' content">
              <div class="wrap">
                '.((method_exists($this,$strFunc)) ? $this->$strFunc() : '').'
              </div>
            </div>
          ';
    }
    return $output;
  }
  /**
  * Insert Head Menu
  */
  function InsertHeadMenu( $title,$strItems = array()) {
    $output = ecly_manform_head_menu ($title);
    $c = count($strItems["label"]);
    $this->ecopt_ev_notabs = !($this->ecopt_ev_ext || $this->ecopt_ev_recc); // None a tab to show
    for($i=0; $i<$c; $i++) {
      if(
        ($this->ecopt_ev_notabs && $strItems["label"][$i] == 'Event') ||
        (!$this->ecopt_ev_ext   && $strItems["label"][$i] == 'Extend') ||
        (!$this->ecopt_ev_recc  && $strItems["label"][$i] == 'Recurrence') ||
        (!$this->ecopt_ev_exrec && $strItems["label"][$i] == 'Exceptions')
        ) continue;
      $output .=
    		'<li class="menu_item'.$i.'">
    			<a id="item'.$i.'" class="'.(($i == 0) ? 'current':'ghost').'" onclick="multiMenu(this.id,'.count($strItems["label"]).',\'func_\'+this.id)" alt="menu'.$i.'"><span>'.$strItems["local"][$i].'</span></a>
    		</li>
        ';}
    $output .= $this->ecly_manform_tbar_menu;
    return $output;
  }
  /**
  * Insert Sub Menu Items
  */
  function InsertSmenu( $pfxContent,$numMenu,$strItems) {
    $output = $this->ecly_manform_head_ism;
    $c = count($strItems["label"]);
    for($i=0; $i<$c; $i++) {
      $output .= "\t\t".'<li class="smenu'.$i.'">'."\n\t\t";
      $output .= '<a id="s'.$numMenu.$i.'" class="'.(($i == 0) ? 'scurrent':'sghost').'" onclick="multiSMenu(this.id,'."'".$pfxContent."'".','.$numMenu.','.count($strItems["label"]).',\'func_\'+this.id)" alt="smenu_'.$numMenu.$i.'"><span>'.$strItems["local"][$i].'</span></a>'."\n";
      $output .= "\t\t".'</li>'."\n";
    }
    $output = $this->ecly_manform_foot_ism;
    return $output;
  }
  /**
  * Determine the recurrence chekboxes posted
  */
  function get_multicheckposted($posted_array){
    $tmp_array = array();
    if (is_array($posted_array))
      while (list($key, $val) = each($posted_array))
        $tmp_array[intval($val)]= $val ;
    else $tmp_array[intval($posted_array)]= $posted_array;
    return $tmp_array;
  }
  /**
  * Get the blog post list by categories
  */
  function ecf_postlist($postID) {
  	global $wpdb;
  	$table_prefix = $wpdb->prefix;
 		$post_list = (array)$wpdb->get_results("
			SELECT ID,
				post_title,
				post_date,
				{$table_prefix}terms.term_id,
				name
			FROM {$table_prefix}posts, {$table_prefix}term_relationships, {$table_prefix}term_taxonomy, {$table_prefix}terms
			WHERE {$table_prefix}posts.ID = {$table_prefix}term_relationships.object_id
			AND {$table_prefix}term_relationships.term_taxonomy_id = {$table_prefix}term_taxonomy.term_taxonomy_id
			AND {$table_prefix}terms.term_id = {$table_prefix}term_taxonomy.term_id
			AND {$table_prefix}term_taxonomy.taxonomy = 'category'
			AND post_status = 'publish'
			AND post_type != 'page'
			ORDER BY term_id ASC, post_date DESC
		");
		$output = '<select name="EC_postList" id="EC_postList" onChange="document.getElementById(\'EC_postID\').value=this.value;">';
		$output .= '<option value=""'.(!$postID? ' selected="selected"':'').'>'. _c('No post associated','events-calendar') . "</option>\n";
	  $chgcat = '';
		foreach ($post_list as $p) {
		  if($p->name != $chgcat) {
		    if($chgcat) $output .= "</OPTGROUP>\n";
        $chgcat = $p->name;
        $output .= '<OPTGROUP LABEL="'.$chgcat.'">'."\n";
      }
      $output .= '<option value="' . $p->ID . '"'.(($p->ID == $postID)? ' selected="selected"':'').'>&nbsp;' . $p->post_title . "</option>\n";
		}
		$output .= "</OPTGROUP>\n</select>\n";
  	return $output;
  }
  function time_format(&$ec_hour, &$ec_second) {
    $ec_second = ($ec_hour>=12)?'PM':'AM';
    $ec_hour = ($ec_hour=='')?'':(($ec_hour>12)?sprintf("%02s",($ec_hour-12)):$ec_hour);
    $ec_hour = ($ec_hour =='00')?'12':$ec_hour;
  }
  /**
  * Main Form Tab
  */
  function funcinsMenu_Event() {
    list($ec_startyear, $ec_startmonth, $ec_startday)=($this->id)?explode('-', $this->event->eventStartDate):array('','','');
    list($ec_endyear, $ec_endmonth, $ec_endday)=($this->id)? explode('-', $this->event->eventEndDate):array('','','');
    list($ec_starthour, $ec_startminute, $ec_startsecond)=($this->id)?explode(":", $this->event->eventStartTime):array('','','');
    list($ec_endhour, $ec_endminute, $ec_endsecond) = ($this->id)?explode(":", $this->event->eventEndTime):array('','','');
    if($this->id && !$this->ecopt_ev_miltime) {
      $this->time_format($ec_starthour, $ec_startsecond);
      $this->time_format($ec_endhour, $ec_endsecond);      
    }
    $ec_linkout = is_null($this->event->eventLinkout) ? $this->ecf_deflinkout : stripslashes($this->event->eventLinkout);
    // Events Date Entry Order
    switch ($this->ecopt_ev_deo) {
      case 'dmy': //Day->Month->Year
          $deo          = _c('Day->Month->Year','events-calendar');
          $start_left   = array('EC_startDate_day', $ec_startday, 2, 2); $start_center = array('EC_startDate_month', $ec_startmonth, 2, 2); $start_right = array('EC_startDate_year', $ec_startyear, 4, 4);
          $end_left     = array('EC_endDate_day', $ec_endday, 2, 2); $end_center = array('EC_endDate_month', $ec_endmonth, 2, 2); $end_right = array('EC_endDate_year', $ec_endyear, 4, 4);
        break;
      case 'ydm': //Year->Day->Month
          $deo          = _c('Year->Day->Month','events-calendar');
          $start_left   = array('EC_startDate_year', $ec_startyear, 4, 4); $start_center = array('EC_startDate_day', $ec_startday, 2, 2); $start_right = array('EC_startDate_month', $ec_startmonth, 2, 2);
          $end_left     = array('EC_endDate_year', $ec_endyear, 4, 4); $end_center = array('EC_endDate_day', $ec_endday, 2, 2); $end_right = array('EC_endDate_month', $ec_endmonth, 2, 2);
        break;
      case 'myd': //Month->Year->Day
          $deo          = _c('Month->Year->Day','events-calendar');
          $start_left   = array('EC_startDate_month', $ec_startmonth, 2, 2); $start_center = array('EC_startDate_year', $ec_startyear, 4, 4); $start_right = array('EC_startDate_day', $ec_startday, 2, 2);
          $end_left     = array('EC_endDate_month', $ec_endmonth, 2, 2); $end_center = array('EC_endDate_year', $ec_endyear, 4, 4); $end_right = array('EC_endDate_day', $ec_endday, 2, 2);
        break;
      case 'ymd': //Year->Month->Day
          $deo          = _c('Year->Month->Day','events-calendar');
          $start_left   = array('EC_startDate_year', $ec_startyear, 4, 4); $start_center = array('EC_startDate_month', $ec_startmonth, 2, 2); $start_right = array('EC_startDate_day', $ec_startday, 2, 2);
          $end_left     = array('EC_endDate_year', $ec_endyear, 4, 4); $end_center = array('EC_endDate_month', $ec_endmonth, 2, 2); $end_right = array('EC_endDate_day', $ec_endday, 2, 2);
        break;
      default: //Month->Day->Year
          $deo          = _c('Month->Day->Year','events-calendar');
          $start_left   = array('EC_startDate_month', $ec_startmonth, 2, 2); $start_center = array('EC_startDate_day', $ec_startday, 2, 2); $start_right = array('EC_startDate_year', $ec_startyear, 4, 4);
          $end_left     = array('EC_endDate_month', $ec_endmonth, 2, 2); $end_center = array('EC_endDate_day', $ec_endday, 2, 2); $end_right = array('EC_endDate_year', $ec_endyear, 4, 4);
      	break;
    }
    $this->ecformEvent->curtab('item0'); //Current Tab : Event
    if($this->id) $this->ecformEvent->hidden('EC_id',$this->id,'size="5"');
    $this->ecformEvent->fieldset('start','','class="ecf-fieldset_main"'); // Invisible main fieldset
      $this->ecformEvent->fieldset('start','','class="ecf-fieldset_left"'); // Invisible fieldset on float left
        $this->ecformEvent->fieldset('start',_c('What','events-calendar'),'id="ecf-fs_what" class="ecf-fieldset"','class="ecf-legend_fieldset"');
          $this->ecformEvent->text(substr(_c('Title','events-calendar'),0,8),'EC_title',($this->id)?stripslashes($this->event->eventTitle):'','nonempty',30,30,_c('The title of the event is mandatory. This field can not be left empty.','events-calendar'));
            if($this->ecopt_ev_types){
              $this->getTypesList();
              if($this->typesListBrut == false)$this->typesListSelect = array('evterr'=>_c('Types Read Error','events-calendar'));
              $this->ecformEvent->select( _c('Event Type','events-calendar'),'EC_type',($this->id?$this->event->eventType:'evt1'),$this->typesListSelect,'',_c('Only the types enabled appear in this list','events-calendar').($this->ecopt_ev_ext?('<hr>'._c('Any changes can affect the labels of custom fields','events-calendar')):''),'','','single',6);
              $this->ecformEvent->customJsValidation('EC_type',_c('Event Types','events-calendar'),'select','','beforeSubmitTypes',_c('Something wrong with the events types. Thank you to correct it.','events-calendar'),'EC_type');
            }elseif($this->id && $this->event->eventType)
              $this->ecformEvent->hidden('Event Type',$this->event->eventType);
          $this->ecformEvent->textarea(_c('Description','events-calendar'),'EC_description',($this->id)?stripslashes($this->event->eventDescription):'','',39,8);
        $this->ecformEvent->fieldset('end');
        $this->ecformEvent->fieldset('start',_c('When','events-calendar'),'id="ecf-fs_when" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->subgroup('start');
            // entry order option : ecopt_ev_deo
            $this->ecformEvent->text(_c('Start Date','events-calendar'),$start_left[0],$start_left[1],'',$start_left[2],$start_left[3],'','autocomplete="off"',' / ','id="ecf-startdate"');
            $this->ecformEvent->text('',$start_center[0],$start_center[1],'',$start_center[2],$start_center[3],'','autocomplete="off"',' / ');
            $this->ecformEvent->text('',$start_right[0],$start_right[1],'',$start_right[2],$start_right[3],sprintf(_c("Start Date: %s<br/>If left blank will be today date",'events-calendar'),$deo),'autocomplete="off"'); //,'<img id="ecf-startdate_datepicker" src="'.EVENTSCALENDARIMAGESURL.'/calendar.gif" style="margin-left:5px;"/>');
            $this->ecformEvent->hidden('EC_startDate','','size="10"');
          $this->ecformEvent->subgroup('end');
          $this->ecformEvent->subgroup('start');
            if($this->ecopt_ev_miltime) {
              $this->ecformEvent->text(_c('Start Time','events-calendar'),'EC_startTime_hr',$ec_starthour,'',2,2,'','autocomplete="off"','<b> : </b>','id="ecf-starttime"');
              $this->ecformEvent->text('','EC_startTime_mn',$ec_startminute,'',2,2,_c("Start Time (hh:mn): optional",'events-calendar'),'autocomplete="off"','<img id="ecf-starttime_clockpicker" src="'.EVENTSCALENDARIMAGESURL.'/time.png" title="Time picker: Start Time"/>');
            } else {
              $this->ecformEvent->text(_c('Start Time','events-calendar'),'EC_startTime_hr',$ec_starthour,'',2,2,'','autocomplete="off" style="width:20px;text-align:right;"','<b> : </b>','id="ecf-starttime"');
              $this->ecformEvent->text('','EC_startTime_mn',$ec_startminute,'',2,2,'','autocomplete="off" style="width:20px;text-align:right;"');
              $this->ecformEvent->select('','EC_startsecond',$ec_startsecond,array('AM'=>'AM&nbsp;','PM'=>'PM&nbsp;'),'',_c("Start Time (hh:mn AM/PM): optional",'events-calendar'),'style="font-size:10px;margin:-1px 0 0 3px;"','<img id="ecf-starttime_clockpicker" src="'.EVENTSCALENDARIMAGESURL.'/time.png" title="Time picker: Start Time"/>','single',2);
            }
            $this->ecformEvent->hidden('EC_startTime','','size="5"');
          $this->ecformEvent->subgroup('end');
          $this->ecformEvent->subgroup('start');
            $this->ecformEvent->text(_c('End Date','events-calendar'),$end_left[0],$end_left[1],'',$end_left[2],$end_left[3],'','autocomplete="off"',' / ','id="ecf-enddate"');
            $this->ecformEvent->text('',$end_center[0],$end_center[1],'',$end_center[2],$end_center[3],'','autocomplete="off"',' / ');
            $this->ecformEvent->text('',$end_right[0],$end_right[1],'',$end_right[2],$end_right[3],sprintf(_c('End Date: %s<br/>If left blank, will be same as start date','events-calendar'),$deo),'autocomplete="off"'); //,'<img id="ecf-enddate_datepicker" src="'.EVENTSCALENDARIMAGESURL.'/calendar.gif" style="margin-left:5px;"/>');
            $this->ecformEvent->hidden('EC_endDate','','size="10"');
            $this->ecformEvent->customJsValidation(array('EC_startDate_month','EC_startDate_day','EC_startDate_year','EC_endDate_month','EC_endDate_day','EC_endDate_year'),_c('Dates and times','events-calendar'),'text','EC_endDate','validationEvtDates',_c('Something wrong with the dates and/or times. Thank you to check.','events-calendar'),array('EC_startDate_year','EC_endDate_year'));
          $this->ecformEvent->subgroup('end');
          $this->ecformEvent->subgroup('start');
            if($this->ecopt_ev_miltime) {          
              $this->ecformEvent->text(_c('End Time','events-calendar'),'EC_endTime_hr',$ec_endhour,'',2,2,'','autocomplete="off"','<b> : </b>','id="ecf-endtime"');
              $this->ecformEvent->text('','EC_endTime_mn',$ec_endminute,'',2,2,_c('End Time (hh:mn): optional','events-calendar'),'autocomplete="off"','<img id="ecf-endtime_clockpicker" src="'.EVENTSCALENDARIMAGESURL.'/time.png" title="Time picker: En Time"/>');
              $this->ecformEvent->customJsValidation(array('EC_startTime_hr','EC_startTime_mn','EC_endTime_hr','EC_endTime_mn'),_c('Schedules','events-calendar'),'text','EC_endTime','validationEvtTimes',_c('Something wrong with the dates and/or times. Thank you to check.','events-calendar'),array('EC_startTime_mn','EC_endTime_mn'));
            } else {
              $this->ecformEvent->text(_c('End Time','events-calendar'),'EC_endTime_hr',$ec_endhour,'',2,2,'','autocomplete="off" style="width:20px;text-align:right;"','<b> : </b>','id="ecf-endtime"');
              $this->ecformEvent->text('','EC_endTime_mn',$ec_endminute,'',2,2,'','autocomplete="off" style="width:20px;text-align:right;"');
              $this->ecformEvent->select('','EC_endsecond',$ec_endsecond,array('AM'=>'AM&nbsp;','PM'=>'PM&nbsp;'),'',_c('End Time (hh:mn AM/PM): optional','events-calendar'),'style="font-size:10px;margin:-1px 0 0 3px;"','<img id="ecf-endtime_clockpicker" src="'.EVENTSCALENDARIMAGESURL.'/time.png" title="Time picker: En Time"/>','single',2);            
              $this->ecformEvent->customJsValidation(array('EC_startTime_hr','EC_startTime_mn','EC_startsecond','EC_endTime_hr','EC_endTime_mn','EC_endsecond'),_c('Schedules','events-calendar'),'text','EC_endTime','validationEvtTimes',_c('Something wrong with the dates and/or times. Thank you to check.','events-calendar'),array('EC_startsecond','EC_endsecond'));  
            }
            $this->ecformEvent->hidden('EC_endTime','','size="5"');
          $this->ecformEvent->subgroup('end');
          $this->ecformEvent->custom_code('&nbsp;','imgclearwhen','<img id="ecf-imgclearwhen" tooltipText="'._c('Set all \'When\' fields to blank','events-calendar').'" src="'.EVENTSCALENDARIMAGESURL.'/eraser.gif"/>','','','','id="ecf-imgclearwhenrow"','id="ecf-imgclearwhencell"');
        $this->ecformEvent->fieldset('end'); // Enf of fieldset When
      $this->ecformEvent->fieldset('end'); // Enf of fieldset left
      $this->ecformEvent->fieldset('start','','class="ecf-fieldset_right"'); // Invisible fieldset on float right
        $this->ecformEvent->fieldset('start',_c('Where','events-calendar'),'id="ecf-fs_where" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->text(_c('Location','events-calendar'),'EC_location',($this->id)?stripslashes($this->event->eventLocation):'','',33,50,_c('This field is also the first line of the address in the Extend form.','events_calendar'),'onChange="document.getElementById(\'EC_location_readonly\').value=this.value;"');
          $this->ecformEvent->text(_c('Link out','events-calendar'),'EC_linkout',$ec_linkout,'',33,1000,'','','<img id="ecf-linkout_img" tooltipText="'._c('Click here to test the linkout','events-calendar').'" src="'.EVENTSCALENDARIMAGESURL.'/web.gif" onClick="javascript:var tstlink=document.getElementById(\'EC_linkout\').value;if(tstlink && tstlink!=\''.$this->ecf_deflinkout.'\')window.open(tstlink);return false;"/>');
        $this->ecformEvent->fieldset('end');
        if($this->ecopt_ev_phase || $this->ecopt_ev_part) {
          $this->ecformEvent->fieldset('start',_c('Event Status','events-calendar'),'id="ecf-fs_evstatus" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
            if($this->ecopt_ev_phase) $this->ecformEvent->select( _c('Phase','events-calendar'),'EC_phase','',array("planning"=>_c('Planning','events-calendar'),"inprogress"=>_c('In Progress','events-calendar'),"finished"=>_c('Finished','events-calendar'),"canceled"=>_c('Canceled','events-calendar')),'','','','','single',4);
            if($this->ecopt_ev_part)$this->ecformEvent->select( _c('Participation','events-calendar'),'EC_participation','',array("public"=>_c('Public','events-calendar'),"private"=>_c('Private','events-calendar'),"oninvitation"=>_c('Only invitation','events-calendar')),'','','','','single',3);
          $this->ecformEvent->fieldset('end');
        }
        $this->ecformEvent->fieldset('start',_c('Visibility of this Event','events-calendar'),'id="ecf-fs_access" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->select(_c('Level ','events-calendar'),'EC_accessLevel',($this->id)?$this->event->accessLevel:'public',$this->accessLevel_list,'','','','','single',6);
        $this->ecformEvent->fieldset('end');
          if($this->id && ($this->ecopt_ev_post || $this->event->postID)) {
            $this->ecformEvent->fieldset('start',_c('Post associated with this Event','events-calendar'),'id="ecf-fs_postid" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
            $this->ecformEvent->text(_c('Post ID','events-calendar'),'EC_postID',$this->event->postID,'posintorblank',5,5,_c('Choose an published post in the list below or select \'No post associated\' to empty it.','events-calendar'));
            $this->ecformEvent->custom_code(_c('Post list','events-calendar'),'EC_postList',$this->ecf_postlist($this->event->postID));
          } elseif($this->ecopt_ev_post){
            $this->ecformEvent->fieldset('start',_c('Create Post for this Event?','events-calendar'),'id="ecf-fs_post" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
            $this->ecformEvent->checkbox_trigger(_c('Check the box for yes','events-calendar'),'EC_doPost','',false);
            $this->ecformEvent->fieldset('start','','id="ecf-fs_statusPost"'); // Invisible fieldset
            $this->ecformEvent->select( _c('Which Post Status ?','events-calendar'),'EC_statusPost','',array("draft"=>_c('Draft','events-calendar'),"publish"=>_c('Publish','events-calendar')),'','','','','single',2);
            $this->ecformEvent->custom_code(_c('Select category','events-calendar'),'EC_CatPost',wp_dropdown_categories('echo=0&name=EC_CatPost&hide_empty=0&tab_index='.$this->ecformEvent->tabindex_process($nostr=true)));
            $this->ecformEvent->fieldset('end'); // End fieldset Post
          }
        $this->ecformEvent->fieldset('end'); // End fieldset Post
        $this->ecformEvent->fieldset('start',_c('Event options','events-calendar'),'id="ecf-fs_tdevt" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->checkbox_trigger(_c('Is this a ToDay Event?','events-calendar'),'EC_tdevt','',($this->id && $this->event->eventTdevt));          
        $this->ecformEvent->fieldset('end'); // End of fieldset Today Event
        if($this->ecopt_ev_recc) {
          $this->ecformEvent->fieldset('start',_c('Is this a recurring Event?','events-calendar'),'id="ecf-fs_reccstatus" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
            $this->ecformEvent->checkbox_trigger(_c('Check the box for yes','events-calendar'),'EC_reccStatus','',($this->id && $this->reccStatus > 0));
          $this->ecformEvent->fieldset('end'); // End of fieldset Recc Event
        }
      $this->ecformEvent->fieldset('end'); // Enf of fieldset right
    $this->ecformEvent->fieldset('end'); // Enf of main fieldset
    $output .= $this->ecformEvent->display('body');
    return $output;
  }
  /**
  * Extend form tab
  */
  function funcinsMenu_Extend() {
    global $loc_lang;
    if($this->id){
      $ec_adress = stripslashes($this->event->eventAdress);
      list($ec_street,$ec_city,$ec_zip,$ec_country,$ec_state) = ($ec_adress)? explode('|',$ec_adress):array('','','',strtoupper($loc_lang),'');
      $ec_contacts = stripslashes($this->event->eventContacts);
      list($ec_contact_manager,$ec_phone_manager,$ec_email_manager,$ec_contact_person,$ec_phone_person,$ec_email_person) = ($ec_contacts)? explode('|',$ec_contacts):array_fill(0,6,'');
      $ec_costs = stripslashes($this->event->eventCosts);
      list($ec_cost_nbpeople,$ec_cost_cost) = ($ec_costs)? explode('|',$ec_costs):array('','');
      $ec_cfields = stripslashes($this->event->eventCustfields);
      list($ec_custfield_1,$ec_custfield_2,$ec_custfield_3,$ec_custfield_4,$ec_custfield_5,$ec_custfield_6) = ($ec_cfields)? explode('|',$ec_cfields):array_fill(0,6,'');
    } else $ec_country = strtoupper($loc_lang);
    $this->ecformEvent->curtab('item1'); //Current Tab : Extend
    $this->ecformEvent->fieldset('start','','class="ecf-fieldset_main"'); // Invisible main fieldset
      $this->ecformEvent->fieldset('start','','class="ecf-fieldset_left"'); // Invisible fieldset on float left
        $this->ecformEvent->fieldset('start',_c('Adress','events-calendar'),'id="ecf-fs_adress" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->text(_c('Location','events-calendar'),'EC_location_readonly',($this->id)?stripslashes($this->event->eventLocation):'','',42,100,'','READONLY ');
          $this->ecformEvent->text(_c('Street Adress','events-calendar'),'EC_street',$ec_street,'',42,100,'');
          $this->ecformEvent->subgroup('start');
            $this->ecformEvent->text(_c('City - Zip Code','events-calendar'),'EC_city',$ec_city,'',28,50,'','','&nbsp;&nbsp;');
            $this->ecformEvent->text('','EC_zip',$ec_zip,'',10,16);
          $this->ecformEvent->subgroup('end');
          $this->ecformEvent->subgroup('start');
            $this->ecformEvent->custom_code(_c('Country - State / Province / Region','events-calendar'),'countrySelect',ecfly_countryList($ec_country,$ec_state),'','','','id="ecf-countrylistrow"','id="ecf-countrylistcell"');
          $this->ecformEvent->subgroup('end');
          $this->ecformEvent->text(_c('Google Map iFrame code','events-calendar'),'EC_googlemaplink',($this->id)?stripslashes($this->event->eventGglml):'','',42,10000,_c('To learn how to embed a Google Map image linked to the adress of this event click','events-calendar').' &nbsp;'.'<a href=\'http://heirem.fr\' target=\'_blank\'>'._c('here','events-calendar').'</a>');
          $this->ecformEvent->button('button','','EC_openGoogleMap',_c('Open Google Map Page','events-calendar'), 'Onclick="javascript:window.open(\'http://maps.google.fr\');"' , $post_text='', $post_text_position=''); //$etc='onClick="javascript:window.open(\'http://maps.google.fr\');"'
          $this->ecformEvent->button('button','','EC_testGoogleMap',_c('Test the iFrame','events-calendar'), $etc='Onclick="javascript:OpenPopUp(document.getElementById(\'EC_googlemaplink\').value,\'Google Map\');"', $post_text='', $post_text_position='');
        $this->ecformEvent->fieldset('end'); // End of fieldset Adress
        $this->ecformEvent->fieldset('start',_c('Contacts','events-calendar'),'id="ecf-fs_contacts" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->fieldset('start','','id="ecf-fs_event_manager"'); // Invisible fieldset except for border bottom
            $this->ecformEvent->text(_c('Event Manager','events-calendar'),'EC_contact_manager',$ec_contact_manager,'',42,100,'','');
            $this->ecformEvent->text_imglabel(EVENTSCALENDARIMAGESURL.'/phone.gif',$title=_c('Phone Manager','events-calendar'),'EC_phone_manager',$ec_phone_manager,'',15,20,'','','','id="ecf-phone_manager_row"','id="ecf-phone_manager_cell"');
            $this->ecformEvent->text_imglabel(EVENTSCALENDARIMAGESURL.'/email.gif',$title=_c('Email Manager','events-calendar'),'EC_email_manager',$ec_email_manager,'emailorblank',18,50,'','','','id="ecf-email_manager_row"','id="ecf-email_manager_cell"');
          $this->ecformEvent->fieldset('end'); // Enf of fieldset
          $this->ecformEvent->text(_c('Contact person','events-calendar'),'EC_contact_person',$ec_contact_person,'',42,100,'','');
          $this->ecformEvent->text_imglabel(EVENTSCALENDARIMAGESURL.'/phone.gif', $title=_c('Phone Contact','events-calendar'),'EC_phone_person',$ec_phone_person,'',15,20,'','','','id="ecf-phone_person_row"','id="ecf-phone_person_cell"');
          $this->ecformEvent->text_imglabel(EVENTSCALENDARIMAGESURL.'/email.gif', $title=_c('Email Contact','events-calendar'),'EC_email_person',$ec_email_person,'emailorblank',18,50,'','','','id="ecf-email_person_row"','id="ecf-email_person_cell"');
        $this->ecformEvent->fieldset('end'); // End of fieldset Contacts
      $this->ecformEvent->fieldset('end'); // Enf of fieldset left
      $this->ecformEvent->fieldset('start','','class="ecf-fieldset_right"'); // Invisible fieldset on float right
        $this->ecformEvent->fieldset('start',_c('Cost','events-calendar'),'id="ecf-fs_cost" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->text(_c('Nb people expected','events-calendar'),'EC_cost_nbpeople',$ec_cost_nbpeople,'',8,10,'','','','id="ecf-cost_nbperson_row"');
          $this->ecformEvent->text(_c('Cost / person','events-calendar'),'EC_cost_cost',$ec_cost_cost,'',20,20,_c('Include the money symbol ;)','events-calendar'),'');
        $this->ecformEvent->fieldset('end'); // End of fieldset Cost
        $this->ecformEvent->fieldset('start',_c('Customizable fields','events-calendar'),'id="ecf-fs_custfields" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->text($this->custFieldName[0],'EC_custfield_1',$ec_custfield_1,'',20,100,'','','','id="ecf-custfield_1row"','id="ecf-custfield_1cell"');
          $this->ecformEvent->text($this->custFieldName[1],'EC_custfield_2',$ec_custfield_2,'',20,100,'','','','id="ecf-custfield_2row"','id="ecf-custfield_2cell"');
          $this->ecformEvent->text($this->custFieldName[2],'EC_custfield_3',$ec_custfield_3,'',20,100,'','','','id="ecf-custfield_3row"','id="ecf-custfield_3cell"');
          $this->ecformEvent->text($this->custFieldName[3],'EC_custfield_4',$ec_custfield_4,'',20,100,'','','','id="ecf-custfield_4row"','id="ecf-custfield_4cell"');
          $this->ecformEvent->text($this->custFieldName[4],'EC_custfield_5',$ec_custfield_5,'',20,100,'','','','id="ecf-custfield_5row"','id="ecf-custfield_5cell"');
          $this->ecformEvent->text($this->custFieldName[5],'EC_custfield_6',$ec_custfield_6,'',20,100,'','','','id="ecf-custfield_6row"','id="ecf-custfield_6cell"');
        $this->ecformEvent->fieldset('end'); // End of fieldset Custom fields
        $this->ecformEvent->fieldset('start',_c('Admin Notes','events-calendar'),'id="ecf-fs_admin_notes" class="ecf-fieldset"','"class="ecf-legend_fieldset"');
          $this->ecformEvent->textarea('&nbsp;','EC_admin_notes',($this->id)?stripslashes($this->event->eventAdminotes):'','',40,7,'','','','id="ecf-admin_notesrow"','id="ecf-admin_notescell"');
        $this->ecformEvent->fieldset('end'); // Enf of fieldset Admin notes
      $this->ecformEvent->fieldset('end'); // Enf of fieldset right
    $this->ecformEvent->fieldset('end'); // Enf of main fieldset
    $output .= $this->ecformEvent->display('body');
    return $output;
  }
  /**
  * Recurrence form tab
  */
  function funcinsMenu_Recurrence() {
    global $ec_WeekdayNames;
    $ecf_weeks_month = array(_c('First week','events-calendar'),_c('Second week','events-calendar'),_c('Third week','events-calendar'),_c('Fourth week','events-calendar'),_c('Last week of the month','events-calendar'));
    $this->ecformEvent->curtab('item2'); //Current Tab : Recurrence
    $this->ecformEvent->fieldset('start','','class="ecf-fieldset_main" id="ecf-fs_mainrecc"'); // Invisible main fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_recdm" class="ecf-recfieldset"'); // Reccur Sel date in month fieldset
        $this->ecformEvent->checkbox_trigger(_c('Selecting a date of the month','events-calendar'),'EC_reccbDate','',($this->reccStatus == 1),_c('My choice is exclusive','events-calendar'));
        $this->ecformEvent->text(_c('Every','events-calendar'),'EC_recDate',$this->recDate,'posintorblank',2,2,_c('Default (blank): day of the start date','events-calendar'),'','&nbsp;'._c('of the month','events-calendar'),'','id="ecf-recdatecell"');
        $this->ecformEvent->text(_c('Duration','events-calendar'),'EC_recDateDur',$this->recDateDur,'posintorblank',2,2,_c('Default (blank): 1 day<br/>Maximum: 27 days','events-calendar'));
      $this->ecformEvent->fieldset('end'); // Enf of Reccur Sel date in month fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_recnd" class="ecf-recfieldset"'); // Reccur Sel numb of days  fieldset
        $this->ecformEvent->checkbox_trigger(_c('Selecting a gap of number of days','events-calendar'),'EC_reccbXDay','',(in_array($this->reccStatus,array(2,6))),_c('You can combine me with the weekdays','events-calendar'));
        $this->ecformEvent->text(_c('Every','events-calendar'),'EC_recXDay',$this->recXDay,'posintorblank',2,3,_c('Default (blank): 1 day','events-calendar'),'','&nbsp;'._c('days','events-calendar'),'','id="ecf-recxdaycell"');
        $this->ecformEvent->text(_c('Duration','events-calendar'),'EC_recXDayDur',$this->recXDayDur,'posintorblank',2,2,_c('Default (blank): 1 day<br/>Maximum: gap days - 1','events-calendar'));
      $this->ecformEvent->fieldset('end'); // Enf of Reccur Sel numb of days  fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_recwd" class="ecf-recfieldset"'); // Reccur weekdays select fieldset
        $this->ecformEvent->checkbox_trigger(_c('Selecting weekday(s)','events-calendar'),'EC_reccbDay','',(in_array($this->reccStatus,array(3,7))),_c('You can combine me with the variation in days','events-calendar'));
        $this->ecformEvent->checkbox(_c('Every','events-calendar'),'EC_reccbWDay',$this->recWDay,$ec_WeekdayNames,'','','','',3);
      $this->ecformEvent->fieldset('end'); // Enf of Reccur weekdays select fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_recwm" class="ecf-recfieldset"'); // Reccur weeks in month select fieldset
        $this->ecformEvent->checkbox_trigger(_c('Selecting the week(s) of the month','events-calendar'),'EC_reccbWeek','',(in_array($this->reccStatus,array(4,6,7))),_c('You can combine me with the variation in days or the weekdays','events-calendar'));
        $this->ecformEvent->checkbox(_c('Every','events-calendar'),'EC_reccbNWeek',$this->recNWeek,$ecf_weeks_month,'','','','',1);
      $this->ecformEvent->fieldset('end'); // Enf of Reccur weeks in month select fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_recae" class="ecf-recfieldset"'); // Reccur annual event fieldset
        $this->ecformEvent->checkbox_trigger(_c('This is an annual event','events-calendar'),'EC_reccbAnnual','',($this->reccStatus == 8),_c('My choice is exclusive.<br/>The duration of the event is determined by the start and end dates (day and month).<br/> The range of recurrence is defined by the gap between the start and end years.','events-calendar'));
      $this->ecformEvent->fieldset('end'); // Enf of Reccur annual event fieldset
      if($this->ecopt_ev_exrec) {
        $this->ecformEvent->fieldset('start','','id="ecf-fs_recex" class="ecf-recfieldset"'); // Reccur Exceptions fieldset
          $this->ecformEvent->checkbox_trigger(_c('This recurrence has exceptions','events-calendar'),'EC_reccbExcept','',($this->event->eventExceptions != ''),_c('Give you access to the exceptions form','events-calendar'));
        $this->ecformEvent->fieldset('end'); // Enf of Reccur Exceptions fieldset
      }
    $this->ecformEvent->fieldset('end'); // Enf of main fieldset
    $output .= $this->ecformEvent->display('body');
    return $output;
  }
  /**
  * Exceptions form tab
  */
  function funcinsMenu_Exceptions() {
    $this->ecformEvent->curtab('item3'); //Current Tab : Exceptions
    $this->ecformEvent->fieldset('start','','id="ecf-fs_except"'); // Invisible main fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_except_1"'); // Top fieldset
        $this->ecformEvent->fieldset('start','','id="ecf-fs_except_1left"'); // Top fieldset left side
          $this->ecformEvent->text(_c('Title','events-calendar'),'excpt_title','','',38,38,'','disabled="disabled"');
          $this->ecformEvent->text(_c('Start','events-calendar'),'excpt_startDate','','',38,38,'','disabled="disabled" style="font-size:12px;"');
          $this->ecformEvent->text(_c('End','events-calendar'),'excpt_endDate','','',38,38,'','disabled="disabled" style="font-size:12px;"');
          $this->ecformEvent->text(_c('Reccurence','events-calendar'),'excpt_recType','','',38,38,'','disabled="disabled"');
          $this->ecformEvent->fieldset('end'); // Enf of Top fieldset left side
        $this->ecformEvent->fieldset('start','','id="ecf-fs_except_1mid"'); // Top fieldset middle side
          $this->ecformEvent->text(_c('Min date','events-calendar'),'excpt_startDateRange','','',10,10,_c('Choose a date within the range of recurrences, and then click the Generate button to update the grid','events-calendar'),'autocomplete="off"');
          //$this->ecformEvent->text(_c('Max date','events-calendar'),'excpt_endDateRange','','',10,10);
        $this->ecformEvent->fieldset('end'); // Enf of Top fieldset middle side
        $this->ecformEvent->fieldset('start','','id="ecf-fs_except_1right"'); // Top fieldset right side
          $this->ecformEvent->button('button','','excpt-btactu',_c('Actualize','events-calendar'), 'Onclick="javascript:exceptActualize(false);" style="font-size:20px;color:blue;"' ,'','',' id="btexcept_act" tooltipText="'._c('Click me to update basic informations','events-calendar').'" ');
          $this->ecformEvent->button('button','','excpt-btgenerate',_c('Generate','events-calendar'), 'Onclick="javascript:exceptGenerate();" style="font-size:20px;color:blue;"' ,'','',' id="btexcept-gen" tooltipText="'._c('Click me to generate recurring events.','events-calendar').'" ');
        $this->ecformEvent->fieldset('end'); // Enf of Top fieldset right side
      $this->ecformEvent->fieldset('end'); // Enf of Top fieldset
      $this->ecformEvent->fieldset('start','','id="ecf-fs_except_2"'); // Bottom fieldset
  // for debug    $this->ecformEvent->text('Hidden','EC_excptarr',($this->id)?stripslashes($this->event->eventExceptions):'','',90,10000,'','READONLY ','','id="ecf-excpt-array"','class="ecf-excpt_array"');
        $this->ecformEvent->custom_code('&nbsp;','excpt-grid','<table id="excpt-grid" class="scroll" cellpadding="0" cellspacing="0"></table><div style="overflow:hidden;text-align:center;width:672px;display:block;" class="scroll" id="excpt-pager">'._c('Click a row to edit, Enter to submit, Esc to cancel or use buttons bellow','events-calendar').'</div>','','','','id="exgrid-row"','');
        $this->ecformEvent->text('&nbsp;','EC_excptarr',($this->id)?stripslashes($this->event->eventExceptions):'','',1,15000,_c('The dates must be at ISO format:\'<font color=\'#ee82ee\'>YYYY-mm-dd</font>\', and the times at: \'<font color=\'#ee82ee\'>hh:mm</font>\'','events-calendar'),'READONLY style="width:0;margin:0;border:none;background-color:#eaf3fa;"','','id="ecf-excpt-array-row"');
        $this->ecformEvent->customJsValidation('EC_excptarr',_c('Exceptions recurrences','events-calendar'),'text','','beforeSubmitExcept',_c('Something wrong with the dates and/or times. Thank you to check.','events-calendar'),'EC_excptarr');
        $this->ecformEvent->fieldset('start','','id="ecf-fs_btgrid"'); // bt grid fieldset
          $previous = _c('Previous','events-calendar'); $cancel = _c('Cancel','events-calendar'); $clear = _c('Clear','events-calendar'); $save = _c('Save','events-calendar'); $next = _c('Next','events-calendar');
          $btgrid_previous = '<a id="excptbprev" class="ecbutt" tabindex="75" title="'.$previous.'"><span>'.$previous.'</span></a>';
          $btgrid_cancel   = '<a id="excptbcancel" class="ecbutt" tabindex="76" style="margin-left: 6px" title="'.$cancel.'"><span>'.$cancel.'</span></a>';
          $btgrid_clear    = '<a id="excptbclear" class="ecbutt" tabindex="77" style="margin-left: 6px" title="'.$clear.'"><span>'.$clear.'</span></a>';
          $btgrid_save     = '<a id="excptbsave" class="ecbutt" tabindex="78" style="margin-left: 6px" title="'.$save.'"><span>'.$save.'</span></a>';
          $btgrid_next     = '<a id="excptbnext" class="ecbutt" tabindex="79" style="margin-left: 6px" title="'.$next.'"><span>'.$next.'</span></a>';
            $this->ecformEvent->custom_code('&nbsp;','btgrid_next',$btgrid_next,'');
            $this->ecformEvent->custom_code('&nbsp;','btgrid_save',$btgrid_save,'');
            $this->ecformEvent->custom_code('&nbsp;','btgrid_clear',$btgrid_clear,'');
            $this->ecformEvent->custom_code('&nbsp;','btgrid_cancel',$btgrid_cancel,'');
            $this->ecformEvent->custom_code('&nbsp;','btgrid_previous',$btgrid_previous,'');
        $this->ecformEvent->fieldset('end'); // Enf of bt grid fieldset
      $this->ecformEvent->fieldset('end'); // Enf of Bottom fieldset
    $this->ecformEvent->fieldset('end'); // Enf of main fieldset
    $output .= $this->ecformEvent->display('body');
    return $output;
  }
}
endif;
?>