<?php
/*
--------------------------------------------------------------------------
This file is part of the WP Events Calendar project.

For questions, help, comments, discussion, etc., please join our
forum at {@link http://www.wp-eventscalendar.com/forum}. You can
also go to Luke's ({@link http://www.lukehowelll.com}) and
Heirem's ({@link http://heirem.fr}) blogs.

WP Events Calendar is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.   See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
--------------------------------------------------------------------------
*/

/**
 * This file contains the WP Events Calendar EC_Options layout.
 *
 * This file is included by the EC_Options class and provides it with
 * the layout.
 *
 * @package       WP-Events-Calendar
 * @subpackage    Core
 * @author
 *                - Luke Howell <luke@wp-eventscalendar.com>
 *                - Brad Bodine <brad@wp-eventscalendar.com>
 *                - Ren MALKA <heirem@wp-eventscalendar.com>
 * @link
 *                - http://wp-eventscalendar.com/
 *                - http://www.lukehowell.com
 *                - http://myboxtool.com/
 *                - http://heirem.fr
 *                - http://laplix.com
 *                - http://www.gwathneydesign.com/
 * @since         WPEC 1.0
 * @copyright
 *                - Copyright (c) 2007-2009 Luke Howell
 *                - Copyright (c) 2007-2009 Brad Bodine
 *                - Copyright (c) 2008-2009 Ren Malka
 *                - Copyright (c)      2009 Louis Lapointe
 *                - Copyright (c)      2009 Coe Gwathney
 * @license       GPLv3 {@link http://www.gnu.org/licenses/gpl}
 * @filesource
 *
 */

// Local langage code on two chars
global $loc_lang,$ec_WeekdayNames,$wp_version;

// Access Level array
  $this->accessLevel_list = array("public" =>_c('Public','events-calendar'),
                                  "level_10"=>_c('Administrator','events-calendar'),
                                  "level_7" =>_c('Editor','events-calendar'),
                                  "level_2" =>_c('Author','events-calendar'),
                                  "level_1" =>_c('Contributor','events-calendar'),
                                  "level_0" =>_c('Subscriber','events-calendar'));

  $this->custJsHeader = '
var ttimg = "'.EVENTSCALENDARIMAGESURL.'/ec_tooltips/", saverow ="'.EVENTSCALENDARIMAGESURL.'/floppy.gif", jqgridsomeurl = "'.EVENTSCALENDARURL.'/someurl.php";
var lastsel, gridimgpath = "'.EVENTSCALENDARCSSURL.'/jgrid/coffee/images", TabsListCaption = "'._c('Tabs list','events-calendar').'", accessTypes = '.((!$this->user_rights[7] && $this->user_rights[9]) ? 'false':'true').';
var pathtojqgridfiles = "'.EVENTSCALENDARURL.'/js/jgrid/", TypesListCaption = "'._c('Event types list','events-calendar').'", icpTTMess ="'._c('Click here to choose a color!','events-calendar').'";
var typesRowTitles = new Array("'._c('Description','events-calendar').'","'._c('Color','events-calendar').'","'._c('Default','events-calendar').'","'._c('Enabled','events-calendar').'","'._c('Rights min.','events-calendar').'","'._c('Custom Fields Names','events-calendar').'");
var tabsRowTitles = new Array("'._c('Tabs','events-calendar').'","'._c('Color','events-calendar').'","'._c('Enabled','events-calendar').'");
var YesNoGrid = "'._c('Yes:No','events-calendar').'", chkYes, chkNo, NoEvTypeGrid = "'._c('No Event Type','events-calendar').'", errAddGrid = false, labPublic = "'._c('Public','events-calendar').'";
var selectRightsGrid = "public:'._c('Public','events-calendar').';level_10:'._c('Administrator','events-calendar').';level_7:'._c('Editor','events-calendar').';level_2:'._c('Author','events-calendar').';level_1:'._c('Contributor','events-calendar').';level_0:'._c('Subscriber','events-calendar').'";
var rolesList = {public:"'._c('Public','events-calendar').'",level_10:"'._c('Administrator','events-calendar').'",level_7:"'._c('Editor','events-calendar').'",level_2:"'._c('Author','events-calendar').'",level_1:"'._c('Contributor','events-calendar').'",level_0:"'._c('Subscriber','events-calendar').'"};
var errmsgNoDes =  "'._c('Description can not be blank','events-calendar').'",errmsgNoCol =  "'._c('You must choice a color','events-calendar').'",msgAdd =  "'._c('Add','events-calendar').'",msgEdit = "'._c('Edit','events-calendar').'",msgRefresh =  "'._c('Refresh','events-calendar').'";
var imgRelPath = "'.EVENTSCALENDARIMAGESPATH.'", ttCloseMsg = "'._c('Close','events-calendar').'", ttDisabMsg ="'._c("Don\'t show this message again",'events-calendar').'";
var mttChangeMsg = "'._c("You have change the Tooltips display method.","events-calendar").'", selImgMsg ="'._c("Select an image please","events-calendar").'";
var mtbChangeMsg = "'._c("You have change the Thickbox display method.","events-calendar").'", '.(($wp_version < 2.7)?'heightTabBody = 88':'heightTabBody = 98').';
var alertChangeMsg = "'._c("Now, please, you must submit the form to set the options involved.","events-calendar").'";
var defMsg = new Array();
defMsg["before"] = "'._c('Would you really reload the defaults options\nfor the ','events-calendar').'";
defMsg["s00"] = "'._c('General options','events-calendar').'";
defMsg["s01"] = "'._c('Tooltips settings','events-calendar').'";
defMsg["s02"] = "'._c('Thickbox settings','events-calendar').'";
defMsg["s03"] = "'._c('Rights settings','events-calendar').'";
defMsg["s10"] = "'._c('Widget Calendar settings','events-calendar').'";
defMsg["s11"] = "'._c('List 1 settings','events-calendar').'";
defMsg["s12"] = "'._c('List 2 settings','events-calendar').'";
defMsg["item2"] = "'._c('Large Calendar settings','events-calendar').'";
defMsg["s20"] = "'._c('Events settings','events-calendar').'";
defMsg["after"] = "'._c('?','events-calendar').'";
'.($this->OptionsSubmitted?'var optSubmitted = true, triggerTab = "'.$this->returnCurTab.'"':'var optSubmitted = false, triggerTab = "";').'
var tpmsg = new Array("'._c('General settings: impacting all behaviors of the plugin').'",
"'._c('Tooltips settings: click the Refresh Overview button to apply your style properties','events-calendar').'",
"'._c('Tickbox settings: click the Thickbox Overview button to trigger a simulation','events-calendar').'",
"'._c('Rights settings: an advice, do some tests before adopting a rights profile','events-calendar').'",
"'._c('Widget Calendar settings','events-calendar').'",
"'._c('List 1 settings: this is the events list WITHOUT recurrences','events-calendar').'",
"'._c('List 2 settings: this is the events list WITH recurrences','events-calendar').'",
"'._c('Large calendar settings','events-calendar').'",
"'._c('Event management form settings','events-calendar').'",
"'._c('Event types management: you cant delete a type, desable it or change its description','events-calendar').'");';
   /**
    * Provides the javascript <script> tags needed by the form.
    *
    * @return string       The HTML to put on the page.
    */
function ecly_options_js_sm_script() {
    $output = '
<script type="text/javascript" src="'.EVENTSCALENDARJSURL.'/ec-form.js"></script>
<script type="text/javascript" src="'.EVENTSCALENDARJSURL.'/ec-options.js"></script>
';
    return $output;
}

  $this->ecly_custResetAction = '
              // Specific to the box event form : hide the reccurence tab, reset recc form and click on event form tab
              jQuery("#item0").trigger("click");
              ';
   /**
    * Provides the options head menu.
    *
    * @return string       The HTML for the head of the menu.
    */
function ecly_options_head_menu ($title) {
    $output =
      '<div id="ecform_container">
        <div id="ecform_entete">
      	 <span id="ecform_title" class="wrap"><h2>'.$title.'</h2></span>
      	   <ul id="menu">
      	   ';
    return $output;
}
$this->ecly_options_tbar_menu =
      	'</ul>
      </div>
    	<div id="ecform_topbar">
        <div id="left_topbar"></div>
        <div id="center_topbar"></div>
        <div class="savedMsg" style="margin:-2px 0 0 180px;">
          <h2>'.(($this->OptionsSubmitted=='true')?_c('Options saved','events-calendar'):_c('Default Options set','events-calendar')).'</h2>
        </div>        
      </div>
      <div id="right_topbar"></div>
    	<div id="ecform_content">
      ';

   /**
    * Provides the options menu footer.
    *
    * @return string       The HTML for the menu foot.
    */
function ecly_options_foot_menu($OptionsSubmitted) {
    return '</div>
    <div id="ecform_btmbar">
      <ul id="ecform_buttons">
        <li id="btreset" onClick="javascript:ecformReset();return false;" class="buttons">
          <a alt="Reset">Reset</a>
        </li>
        <li id="btdefault" onClick="javascript:optionDefault();return false;" class="buttons">
          <a alt="Default values">Default</a>
        </li>
        <li class="savedMsg">
          <h2>'.(($OptionsSubmitted=='true')?_c('Options saved','events-calendar'):_c('Default Options set','events-calendar')).'</h2>
        </li>        
        <li class="buttons">
          <a href="?page=events-calendar-main" id="btcancel" alt="cancel">'._c('Cancel','events-calendar').'</a>
        </li>
        <li class="buttons">
          <a id="btsubmit" onClick="if(document.optionsEventsCalendar.onsubmit()){optionSubmit()};" alt="submit">'._c('Submit','events-calendar').'</a>
        </li>
      </ul>
    </div>
  </div>
    ';
}
$this->ecly_options_head_ism =
    '<div class="ecform_smenu">
      <ul class="smenu">';
$this->ecly_options_foot_ism = '
      </ul>
     </div>
     ';
// Tooltips Settings ===================================================================================================================     
  //    Function : return a button code for Tooltips or Thickbox overview
function ecly_mtButton($id,$caption){
  return '<a id="'.$id.'" class="ecbutt" title="'.$caption.'"><span>'.$caption.'</span></a>';
}
if($this->ecopt_mtt == 'ecopt_mttjq') {  // If jQuery Tooltips settings
  // jQuery Tooltips Settings Overview
  //    Classic style
  $this->ecly_tooltip_overview_classic = '
<div id="jttsampcla">
  <div class="jttsampcla_title">'._c('First Title Event (no reccurence)','events-calendar').'</div>
  <div class="jttsampcla_body">
    <ul>
      <li>'._c('Event Type','events-calendar').'</li>
      <li>'._c('Location','events-calendar').'</li>
      <li>'._c('Until 05-21-2010','events-calendar').'</li>
      <li>'._c('From 8:30am to 8:45pm','events-calendar').'</li>
    </ul>
  </div>
  <div class="jttsampcla_title">'._c('Second Title: This is a recurrent event','events-calendar').'</div>
  <div class="jttsampcla_body">
    <div style="margin:5px 40px 5px 25px;text-align:center;font-weight:bold;background-color:'.$this->ecopt_ev_rec3.';-moz-border-radius:6px;font-style:normal;">'._c('Recurrence - Weekday:<br />Every Monday','events-calendar').'</div>
    <ul>
      <li style="background-color:yellow;">'._c('Weekly meeting','events-calendar').'</li>
      <li>'._c('Room 122, 1st Floor','events-calendar').'</li>
      <li>'._c('Until 06-21-2010','events-calendar').'</li>
      <li>'._c('From 8:30am to 11:45am','events-calendar').'</li>
    </ul>
  </div>
 <div id="jttsampcla_foot"></div>
</div>';
}
if($this->ecopt_mtt == 'ecopt_mttjq' || $this->ecopt_mtt == 'ecopt_mtcss') { // If jQuery || Css Tooltips settings
 //   Bubble style
  $this->ecly_tooltip_overview_bubble = '
<div id=\'jttsampbbl\' class=\'jttsampbbl-class\'>
   <div class=\'jttsampbbl-btop\'>'._c('First Title Event (no reccurence)','events-calendar').'</div>
   <div class=\'jttsampbbl-mid\'>
    <ul>
      <li>'._c('Event Type','events-calendar').'</li>
      <li>'._c('Location','events-calendar').'</li>
      <li>'._c('Until 05-21-2010','events-calendar').'</li>
      <li>'._c('From 8:30am to 8:45pm','events-calendar').'</li>
    </ul>
   </div>
   <div class=\'jttsampbbl-mtop\'><div class=\'jttsampbbl-mtoptxt\'>'._c('Second Title: This is a recurrent event','events-calendar').'</div></div>
   <div class=\'jttsampbbl-mid\'>
    <div style=\'margin:0 20px 5px;text-align:center;font-weight:bold;background-color:'.$this->ecopt_ev_rec3.';-moz-border-radius:6px;font-style:normal;\'>'._c('Recurrence - Weekday:<br />Every Monday','events-calendar').'</div>
    <ul>
      <li style=\'background-color:yellow;\'>'._c('Weekly meeting','events-calendar').'</li>
      <li>'._c('Room 122, 1st Floor','events-calendar').'</li>
      <li>'._c('Until 06-21-2010','events-calendar').'</li>
      <li>'._c('From 8:30am to 11:45am','events-calendar').'</li>
    </ul>
  </div>
  <div id=\'jttsampbbl-bot\'>Bottom</div>
</div>
';
}
if($this->ecopt_mtt == 'ecopt_mttec') { // If EC-Tooltips setings
 // Ec-Tooltips overview
  $this->ecly_ec_tooltip_content = '<div>
<div style=\'padding:#tpad#;background-color:#tbgc#;color:#tcol#;font-size:#tfs#;font-weight:#tfw#;font-family:#tff#;text-align:#tta#;border:#tbdc#;\'>'._c('First Title Event (no reccurence)','events-calendar').'</div>
<div style=\'padding:#mpad#;color:#mcol#;font-size:#mfs#;font-weight:#mfw#;font-family:#mff#;border:#mbdc#;\'>
<ul style=\'padding:#ulpad#;font-weight:normal;\'>
  <li>'._c('Event Type','events-calendar').'</li>
  <li>'._c('Location','events-calendar').'</li>
  <li>'._c('Until 05-21-2010','events-calendar').'</li>
  <li>'._c('From 8:30am to 9:45pm','events-calendar').'</li>
</ul>
</div>
<div style=\'margin:#mtmar#;\'><div style=\'padding:#tpad#;background-color:#tbgc#;color:#tcol#;font-size:#tfs#;font-weight:#tfw#;font-family:#tff#;text-align:#tta#;border:#tbdc#;\'>'._c('Second Title: This is a recurrent event','events-calendar').'</div></div>
<div style=\'padding:#mpad#;color:#mcol#;font-size:#mfs#;font-weight:#mfw#;font-family:#mff#;border:#mbdc#;\'>
<div style=\'margin:3px 20px 5px;text-align:center;font-weight:bold;background-color:'.$this->ecopt_ev_rec3.';-moz-border-radius:6px;\'>'._c('Recurrence - Weekday:<br />Every Monday','events-calendar').'</div>
<ul style=\'padding:#ulpad#;font-weight:normal;\'>
  <li style=\'background-color:yellow;\'>'._c('Weekly meeting','events-calendar').'</li>
  <li>'._c('Room 122, 1st Floor','events-calendar').'</li>
  <li>'._c('Until 06-21-2010','events-calendar').'</li>
  <li>'._c('From 8:30am to 11:45am','events-calendar').'</li>
</ul>
</div>
<div style=\'text-align:#bta#;color:#bcol#;font-size:#bfs#;font-weight:#bfw#;font-family:#bff#;\'>#bmsg#</div>
</div>';
  $this->ecly_ec_tooltip_overview = '
<div id="ectt-date" template="blue" tooltiptext="Nothing">'._c('An event date','event-calendar').'</div>
<div id="ectt-date-explanations">'._c('To apply your changes, click the button below. Then move your mouse pointer in the box above to get an overview of the EC-Tooltip updated','event-calendar').'</div>
  ';
}
// Thickbox settings overview =========================================================================================================================
if($this->ecopt_mtb !== 'ecopt_mtbnone') {
  function get_title_date($td,$dt=0) {
    $format = explode('=',$td);
    $format = $format[1];
    return date_i18n($format, current_time('timestamp')+$dt,'gmt');
  }
}
if($this->ecopt_mtb == 'ecopt_mtbtb' || $this->ecopt_mtb == 'ecopt_mtbcss') { // If jQuery OR Css Thickbox settings 
  $this->ecly_tbpopup ='
<div id=\'ecpopupfade\' style=\'background-color:#fadbgc#;\' onclick=\'javascript:ecpopupHide()\'></div>
<div id=\'ecpopup_block\' class=\'ecpopup_block\' style=\'background-color:#tanbgc#;width:#blkwid#;border:#blkbrd#;\'>
  <div id=\'ecpopuptitle\' style=\'color:#tancol#;font-size:#tansiz#;font-weight:#tanwei#;font-family:#tanffa#;font-style:#tanfst#;\'>
    <div id=\'ecpopupdate\'>'.get_title_date($this->ecopt_lc_dftt).'</div>
    <div id=\'ecpopupclose\' onclick=\'javascript:ecpopupHide()\' title=\''._c('Close','events-calendar').'\' />
  </div>
  <div id=\'ecpopup\' class=\'ecpopup\' style=\'border:#popbrd#;background-color:#blkbgc#;height:#pophei#;color:#popcol#;font-size:#popsiz#;font-weight:#popwei#;font-family:#popffa#;font-style:normal;\'>
  	<div id=\'ecpopup-1\'>
  		<h3>'._c('First Title Event (no reccurence)','events-calendar').'</h3>
      <fieldset style=\'border:none;\'>
        This is a <b>description</b> of the event. The <i>formatting</i> that you <u>specified</u> during its creation are <blink><b>respected</b></blink>.
      </fieldset>
      <ul style=\'padding:#ulpad#;\'>
        <li>'._c('Event Type','events-calendar').'</li>
        <li>'._c('From','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbdf,-172800).'&nbsp;'._c('until','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbdf,172800).' </li>
        <li>'._c('From','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbtf,-7200).'&nbsp;'._c('to','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbtf,7200).' </li>
        <li>'._c('In progress','events-calendar').'</li>
        <li><a href=\'http://heirem.fr\' target=\'_blank\'>'._c('More info, click here','events-calendar').'</a></li>
        <li><a href=\'http://heirem.fr/2009/05/21/general-announcements\' target=\'_blank\'>'._c('Associated post','events-calendar').'</a></li>
        <li>'._c('Custom field #1','events-calendar').'</li>
        <li>'._c('Custom field #2','events-calendar').'</li>
      </ul>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Address','events-calendar').'&nbsp;</legend>
        <b>The White House</b>, 1600 Pennsylvania Avenue NW<br/>
        Washington, DC 20500 - United States - Washington
      </fieldset>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Contact','events-calendar').'&nbsp;</legend>
        <b>Barack Obama</b> - 202-456-1111 - bobama@usa.org<br/>
        <b>Joe Biden</b> - 202-456-1112 - jbiden@usa.org
      </fieldset>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Google Map','events-calendar').'&nbsp;</legend>
        <iframe id=\'ggmap_iframe\'width=\'350\' height=\'200\' frameborder=\'0\' scrolling=\'no\' marginheight=\'0\' marginwidth=\'0\' src=\'http://maps.google.fr/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=The+White+House+USA&amp;sll=46.860191,1.73584&amp;sspn=10.592789,19.006348&amp;ie=UTF8&amp;ll=38.897646,-77.036562&amp;spn=0.01336,0.034332&amp;z=14&amp;output=embed\'></iframe><br /><small><a href=\'http://maps.google.fr/maps?f=q&amp;source=embed&amp;hl=en&amp;geocode=&amp;q=The+White+House+USA&amp;sll=46.860191,1.73584&amp;sspn=10.592789,19.006348&amp;ie=UTF8&amp;ll=38.897646,-77.036562&amp;spn=0.01336,0.034332&amp;z=14\' style=\'color:#0000FF;text-align:left\' target=\'_blank\'>View Larger Map</a></small>
      </fieldset>
      <br/>
  	</div>
  	<div id=\'ecpopup-2\' style=\'display:none;\'>
  		<h3>'._c('Second Title: This is a recurrent event','events-calendar').'</h3>
      <fieldset style=\'border:none;\'>
        This is the <b>description</b> of a <u>recurring</u> event. The <i>formatting</i> that you specified during its creation are <blink><b>respected</b></blink>.
      </fieldset>
      <div style=\'margin:3px 20px 5px;text-align:center;font-weight:bold;background-color:'.$this->ecopt_ev_rec3.';-moz-border-radius:6px;\'>'._c('Recurrence - Weekday:<br />Every Monday','events-calendar').'</div>
      <ul style=\'padding:#ulpad#;\'>
        <li style=\'background-color:yellow;width:18em;\'>'._c('Weekly meeting','events-calendar').'</li>
        <li>'._c('Room 122, 1st Floor','events-calendar').'</li>
        <li>'._c('From','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbdf,-172800).'&nbsp;'._c('until','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbdf,172800).' </li>
        <li>'._c('From','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbtf,-7200).'&nbsp;'._c('to','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbtf,7200).' </li>
        <li><a href=\'http://heirem.fr\' target=\'_blank\'>'._c('More info, click here','events-calendar').'</a></li>
        <li>'._c('$14 by person','events-calendar').'</li>
        <li>'._c('Custom field #2','events-calendar').'</li>
        <li><a href=\'http://maps.google.com/maps?f=q&source=s_q&hl=en&q=Tokyo+Imperial+Palace+Japan&sll=37.579413,-95.712891&sspn=48.362394,96.767578&ie=UTF8&cd=1&geocode=FcKFIAIdjIRUCA&split=0&z=15&iwloc=A\' target=\'_blank\'>'._c('Google Maps Link, click here','events-calendar').'</a></li>
      </ul>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Status','events-calendar').'&nbsp;</legend>
        '._c('Phase','events-calendar').' : <b>'._c('Planning','events-calendar').'</b><br/>
        '._c('Participation','events-calendar').' : <b>'._c('Only invitation','events-calendar').'</b>
      </fieldset>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Specific','events-calendar').'&nbsp;</legend>
        '._c('Dress','events-calendar').' : <b>'._c('Ceremony','events-calendar').'</b><br/>
        '._c('Note','events-calendar').' : <b>'._c('Formal order','events-calendar').'</b>
      </fieldset>
      <br/>
  	</div>
  </div>
	<div id=\'ecpopupnav\' style=\'color:#tancol#;font-size:#tansiz#;font-weight:#tanwei#;font-family:#tanffa#;font-style:#tanfst#;\'>
    <a id=\'ecpopupnext\' onclick=\'javascript:ecpopupNext()\' title=\''._c('Next','events-calendar').'\'/>
    <a id=\'ecpopuprevious\' onclick=\'javascript:ecpopupPrev()\' title=\''._c('Previous','events-calendar').'\'/>
  </div>
</div>
';
}
if($this->ecopt_mtb == 'ecopt_mtbsb') { // If Shadowbox settings
  // Shadowbox Popup simulation : Thickbox overview
  $this->ecly_sbpopup ='
<div id=\'ecpopupfade\' style=\'background-color:#fadbgc#;\' onclick=\'javascript:ecpopupHide()\'></div>
<div id=\'ecpopup_block\' class=\'ecpopup_block\' style=\'background-color:#tanbgc#;width:#blkwid#;border:#blkbrd#;-moz-border-radius:12px;\'>
  <div id=\'ecpopuptitle\' style=\'-moz-border-radius:10px;color:#tancol#;font-size:#tansiz#;font-weight:#tanwei#;font-family:#tanffa#;font-style:#tanfst#;border:#tanbrd#;\'>Vendredi, 12 sept 2009</div>
  <div id=\'ecpopup\' class=\'ecpopup\' style=\'border:#popbrd#;background-color:#blkbgc#;height:#pophei#;color:#popcol#;font-size:#popsiz#;font-weight:#popwei#;font-family:#popffa#;\'>
  	<div id=\'ecpopup-1\'>
  		<h3>'._c('First Title Event (no reccurence)','events-calendar').'</h3>
      <fieldset style=\'border:none;\'>
        This is a <b>description</b> of the event. The <i>formatting</i> that you <u>specified</u> during its creation are <blink><b>respected</b></blink>.
      </fieldset>
      <ul style=\'padding:#ulpad#;\'>
        <li>'._c('Event Type','events-calendar').'</li>
        <li>'._c('From','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbdf,-172800).'&nbsp;'._c('until','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbdf,172800).' </li>
        <li>'._c('From','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbtf,-7200).'&nbsp;'._c('to','events-calendar').'&nbsp;'.get_title_date($this->ecopt_lc_tbtf,7200).' </li>
        <li>'._c('In progress','events-calendar').'</li>
        <li><a href=\'http://heirem.fr\' target=\'_blank\'>'._c('More info, click here','events-calendar').'</a></li>
        <li><a href=\'http://heirem.fr/2009/05/21/general-announcements\' target=\'_blank\'>'._c('Associated post','events-calendar').'</a></li>
        <li>'._c('Custom field #1','events-calendar').'</li>
        <li>'._c('Custom field #2','events-calendar').'</li>
      </ul>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Address','events-calendar').'&nbsp;</legend>
        <b>The White House</b>, 1600 Pennsylvania Avenue NW<br/>
        Washington, DC 20500 - United States - Washington
      </fieldset>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Contact','events-calendar').'&nbsp;</legend>
        <b>Barack Obama</b> - 202-456-1111 - bobama@usa.org<br/>
        <b>Joe Biden</b> - 202-456-1112 - jbiden@usa.org
      </fieldset>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Google Map','events-calendar').'&nbsp;</legend>
        <iframe id=\'ggmap_iframe\'width=\'350\' height=\'200\' frameborder=\'0\' scrolling=\'no\' marginheight=\'0\' marginwidth=\'0\' src=\'http://maps.google.fr/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=The+White+House+USA&amp;sll=46.860191,1.73584&amp;sspn=10.592789,19.006348&amp;ie=UTF8&amp;ll=38.897646,-77.036562&amp;spn=0.01336,0.034332&amp;z=14&amp;output=embed\'></iframe><br /><small><a href=\'http://maps.google.fr/maps?f=q&amp;source=embed&amp;hl=en&amp;geocode=&amp;q=The+White+House+USA&amp;sll=46.860191,1.73584&amp;sspn=10.592789,19.006348&amp;ie=UTF8&amp;ll=38.897646,-77.036562&amp;spn=0.01336,0.034332&amp;z=14\' style=\'color:#0000FF;text-align:left\' target=\'_blank\'>View Larger Map</a></small>
      </fieldset>
      <br/>
  	</div>
  	<div id=\'ecpopup-2\' style=\'display:none;\'>
  		<h3>'._c('Second Title: This is a recurrent event','events-calendar').'</h3>
      <fieldset style=\'border:none;\'>
        This is the <b>description</b> of a <u>recurring</u> event. The <i>formatting</i> that you specified during its creation are <blink><b>respected</b></blink>.
      </fieldset>
      <div style=\'margin:3px 20px 5px;text-align:center;font-weight:bold;background-color:'.$this->ecopt_ev_rec3.';-moz-border-radius:6px;\'>'._c('Recurrence - Weekday:<br />Every Monday','events-calendar').'</div>
      <ul style=\'padding:#ulpad#;\'>
        <li style=\'background-color:yellow;width:18em;\'>'._c('Weekly meeting','events-calendar').'</li>
        <li>'._c('Room 122, 1st Floor','events-calendar').'</li>
        <li>'._c('From 12-25-2009 until 06-21-2010','events-calendar').'</li>
        <li>'._c('From 8:30am to 11:45am','events-calendar').'</li>
        <li><a href=\'http://heirem.fr\' target=\'_blank\'>'._c('More info, click here','events-calendar').'</a></li>
        <li>'._c('$14 by person','events-calendar').'</li>
        <li>'._c('Custom field #2','events-calendar').'</li>
        <li><a href=\'http://maps.google.com/maps?f=q&source=s_q&hl=en&q=Tokyo+Imperial+Palace+Japan&sll=37.579413,-95.712891&sspn=48.362394,96.767578&ie=UTF8&cd=1&geocode=FcKFIAIdjIRUCA&split=0&z=15&iwloc=A\' target=\'_blank\'>'._c('Google Maps Link, click here','events-calendar').'</a></li>
      </ul>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Status','events-calendar').'&nbsp;</legend>
        '._c('Phase','events-calendar').' : <b>'._c('Planning','events-calendar').'</b><br/>
        '._c('Participation','events-calendar').' : <b>'._c('Only invitation','events-calendar').'</b>
      </fieldset>
      <fieldset style=\'background-color:#fsbgc#;font-size:#fssiz#;font-weight:#fswei#;\'><legend  style=\'background-color:#fslbgc#;font-size:#fslsiz#;font-weight:#fslwei#;font-style:#fslsty#;\'>&nbsp;'._c('Specific','events-calendar').'&nbsp;</legend>
        '._c('Dress','events-calendar').' : <b>'._c('Ceremony','events-calendar').'</b><br/>
        '._c('Note','events-calendar').' : <b>'._c('Formal order','events-calendar').'</b>
      </fieldset>
      <br/>
  	</div>
  </div>
	<div id=\'sbpopupnav\' style=\'color:#tancol#;font-size:#tansiz#;font-weight:#tanwei#;font-family:#tanffa#;font-style:#tanfst#;\'>
    <a id=\'sbpopupclose\' onclick=\'javascript:ecpopupHide()\' title=\''._c('Close','events-calendar').'\'/>
    <a id=\'sbpopupnext\' onclick=\'javascript:ecpopupNext()\' title=\''._c('Next','events-calendar').'\'/>
    <a id=\'sbpopuprevious\' onclick=\'javascript:ecpopupPrev()\' title=\''._c('Previous','events-calendar').'\'/>
  </div>
</div>';
}
  $this->ecly_ecpopup ='
<div id=\'ecpopupfade\' onclick=\'javascript:ecpopupHide()\'></div>
<div id=\'ecpopup_block\' class=\'ecpopup_block\' style=\'height:250px;width:300px;display:block;\'>
<a onclick=\'javascript:ecpopupHide()\'><img src=\''.EVENTSCALENDARIMAGESURL.'/icon_close.png\' class=\'cntrl\' title=\''._c('Close','events-calendar').'\' /></a> 
 <div id=\'ecpopup\' class=\'ecpopup\'  style=\'height:220px;width:300px;display:block;\'>
  <img id=\'imgImg\' src=\'#imgs#\' style=\'display:block;margin:auto;\'>
 </div>
 <div style=\'float:left;\'><img onclick=\'zoomPlus();\' src=\''.EVENTSCALENDARIMAGESURL.'/zoom_in.png\'>&nbsp;&nbsp;<img onclick=\'zoomMinus();\' src=\''.EVENTSCALENDARIMAGESURL.'/zoom_out.png\'></div>
 <div><p style=\'text-align:center;\'>'._c("size","events-calendar").': #imgH# x #imgW#<br/>#imgn#</p></div>
</div>  
  ';
?>